Ubuntu-insights: ubuntu-insights(1)

NAME
ubuntu-insights-completion-bash - Generate the autocompletion script for bash

SYNOPSIS
ubuntu-insights completion bash

DESCRIPTION
Generate the autocompletion script for the bash shell.

This script depends on the 'bash-completion' package. If it is not installed already, you can install it via your OS's package manager.

To load completions in your current shell session:

    source <(ubuntu-insights completion bash)

To load completions for every new session, execute once:

  Linux:
    ubuntu-insights completion bash > /etc/bash_completion.d/ubuntu-insights

  macOS:
    ubuntu-insights completion bash > $(brew --prefix)/etc/bash_completion.d/ubuntu-insights

You will need to start a new shell for this setup to take effect.

OPTIONS
-h, --help[=false]
    help for bash

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    use a specific configuration file

--consent-dir=""
    the base directory of the consent state files

--insights-dir=""
    the base directory of the insights report cache

-v, --verbose[=0]
    issue INFO (-v), DEBUG (-vv)

SEE ALSO
ubuntu-insights-completion(1)

HISTORY
5-Jan-2026 Auto generated by spf13/cobra